%global momorel 2
%global plugindir /usr/X11R6/lib/xmms/Input

Name: xmms-mad
Summary: Input plugin for xmms that uses libmad to decode MPEG layer 1/2/3 file and streams.
Version: 0.5.5
Release: %{momorel}m
# Source: http://www.superduper.net/downloads/xmms-mad/%{name}-%{version}.tar.gz
%NoSource 0 http://dl.sourceforge.net/sourceforge/xmms-mad/%{name}-%{version}.tar.gz 62bfda386bdcc4466de86b885427005c
URL:    http://xmms-mad.sourceforge.net/
License: GPL
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: xmms >= 1.2.8
Requires: libmad >= 0.15.0
Requires: libid3tag >= 0.15.0
BuildPrereq: xmms-devel >= 1.2.8
BuildPrereq: libmad >= 0.15.0
BuildPrereq: libid3tag >= 0.15.0
BuildPrereq: gtk+1 >= 1.2
BuildPrereq: pkgconfig
Patch0: xmms-mad-0.5.5-bootstrap.patch

%description
xmms-mad is an input plugin for xmms that uses libmad to decode MPEG layer 1/2/3 file and streams.
 Current featured include:
    * local mp3 file playback
    * shoutchast/icecast stream playback
    * seeking
    * ID3 tag parsing
    * http header parsing

%prep
%{__rm} -rf %{buildroot}

%setup -q

%patch0 -p1
./bootstrap

%build

%configure
%make libdir=%{plugindir}

%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} libdir=%{plugindir} install

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS INSTALL
%{plugindir}/libxmmsmad.*

%changelog
* Sat Jan  1 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.5.5-2m)
- add auto commands before %%build for fix missing lib*.so problem

* Tue Nov 11 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.5.5-1m)
- rebuild against xmms-1.2.8
- requires libmad, libid3tag

* Sat Jul 27 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (0.0.9-5m)
- add source tar ball.

* Sun May 12 2002 Toshiro HIKITA <toshi@sodan.org>
- (0.0.9-4k)
- requires mad-devel >= 0.14.2b

* Sun May 12 2002 Toshiro HIKITA <toshi@sodan.org>
- (0.0.9-2k)
- Initail Build,Kondarize
